--
-- Louder Airhorn
--
-- # Author:  	LSM/Sachsenfarmer
-- # date: 		23.02.2021
--

claashonk = {}

function claashonk.prerequisitesPresent(specializations)
  return true
end

function claashonk.registerEventListeners(vehicleType)
  SpecializationUtil.registerEventListener(vehicleType, "onPreLoad", claashonk)
end

function  claashonk:onPreLoad(vehicle)
	self.brand = getXMLString (self.xmlFile, "vehicle.storeData.brand")	
	self.honkTemp = getXMLString (self.xmlFile, "vehicle.honk.sound#file")

	if self.brand == "CLAAS" then
		if self.honkTemp == "sounds/vehicles/horn/claas_xerion_horn_loop.wav"  or self.honkTemp == "sounds/vehicles/horn/claas_jaguar_horn.wav" then
		setXMLInt(self.xmlFile, "vehicle.honk.sound.volume#outdoor" , 3 )
		setXMLInt(self.xmlFile, "vehicle.honk.sound.volume#indoor" , 2 )
		end
	end
end